/// mud client type
use std::default::Default;

use serde::Deserialize;

/// client type to know log format
#[derive(Debug, Deserialize, PartialEq)]
pub enum Client {
	/// mudlet
	Mudlet,

	/// tintin++
	TinTin,

	/// zmud
	ZMud,

	/// no client specified
	None,
}

impl Default for Client {
	fn default() -> Self {
		Client::None
	}
}

impl From<&String> for Client {
	fn from(s: &String) -> Self {
		match s.to_lowercase().as_str() {
			"mudlet" => Self::Mudlet,
			"tintin" => Self::TinTin,
			"zmud" => Self::ZMud,
			_ => Self::None,
		}
	}
}
