use actix_web::{post, web, HttpResponse};
use handlebars::Handlebars;
use serde_json::json;

use crate::FormData;
use crate::WotLog;

#[post("/submit")]
pub async fn post(form: web::Form<FormData>, hb: web::Data<Handlebars<'_>>) -> HttpResponse {
	let form_data = form.into_inner();
	let wot_log = WotLog::from(&form_data);
	wot_log.parse();

	let data = json!({
		"name": "rewot"
	});

	let body = hb.render("submit", &data).unwrap();

	HttpResponse::Ok().body(body)
}
